Subject: Re: bug#58334: 29.0.50; ASAN heap use after free in gui_produce_glyphs

From: Gerd Möllmann <[email-masked]>
Date: Fri, 07 Oct 2022 13:11:39 +0200

Po Lu <[email-masked]> writes:

> Gerd Möllmann <[email-masked]> writes:
>
>> Redisplay has two phases:
>>
>> 1. Building desired matrices, that is, what should be on the screen
>> after redisplay.
>
> Well, at least there's this in redisplay_internal (I think you wrote
> it):
>
>   /* I don't think this happens but let's be paranoid.  */
>   if (redisplaying_p) <=================================
>     return;
>
> So perhaps the right thing to do would be to replace the comment with
> one saying that process_pending_signals can potentially cause redisplay
> to be called within itself.

I'd rather first understand what happens and why, which I don't.
Otherwise the comment would be no good.

So, do you agree that block_input wouldn't solve the problem?  Or does
it?